EC_NODE_ONCE_SET_CHILD(3)

NAME
ec_node_once_set_child - Set the child of a once node.

SYNOPSIS
#include <ecoli/node_once.h>

int ec_node_once_set_child(
    struct ec_node   *node,
    struct ec_node   *child
);

DESCRIPTION

On error, the child is freed.

SEE ALSO

ec_node_once(3),

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.